package container_test

import (
	"testing"

	"git.frostfs.info/TrueCloudLab/frostfs-api-go/v2/container"
	statustest "git.frostfs.info/TrueCloudLab/frostfs-api-go/v2/status/test"
)

func TestStatusCodes(t *testing.T) {
	statustest.TestCodes(t, container.LocalizeFailStatus, container.GlobalizeFail,
		container.StatusNotFound, 3072,
		container.StatusEACLNotFound, 3073,
	)
}
